Issue with Arduino Web Editor - 30 October 2018

I'm a computer engineering teacher in New York City, and each of my students received this message today when they attempted to upload a simple code:

lto1: fatal error: bytecode stream generated with LTO version 3.0 instead of the expected 4.1

compilation terminated.

lto-wrapper: fatal error: ./opt/tools/avr-gcc/5.4.0-atmel3.6.1-arduino2/bin/avr-gcc returned 1 exit status

compilation terminated.

/home/ubuntu/opt/tools/avr-gcc/5.4.0-atmel3.6.1-arduino2/bin/../lib/gcc/avr/5.4.0/../../../../avr/bin/ld: error: lto-wrapper failed

collect2: error: ld returned 1 exit status

exit status 1

I have the same issue when I try to include the DHT library that I imported in the Web editor into a sketch.
Any help???

DHT_Library.zip (10.1 KB)

I’m having a similar problem, even with the most basic ‘blink’ program: (makes me think the issue is on the web server)

lto1: fatal error: bytecode stream generated with LTO version 3.0 instead of the expected 4.1

compilation terminated.

lto-wrapper: fatal error: ./opt/tools/avr-gcc/5.4.0-atmel3.6.1-arduino2/bin/avr-gcc returned 1 exit status

compilation terminated.

/home/ubuntu/opt/tools/avr-gcc/5.4.0-atmel3.6.1-arduino2/bin/…/lib/gcc/avr/5.4.0/…/…/…/…/avr/bin/ld: error: lto-wrapper failed

collect2: error: ld returned 1 exit status

exit status 1

Hello, please follow topic Issue 2018-10-30: lto-wrapper error prevent compilations for further information and updates about this.

Thank you.